<!DOCTYPE REFENTRY PUBLIC "-//Sun Microsystems//DTD DocBook V3.0-Based SolBook Subset V2.0//EN" [
<!--ArborText, Inc., 1988-1999, v.4002-->
<!ENTITY metainfo SYSTEM "metainfo.sgm">
<!ENTITY options-common SYSTEM "options-common.sgm">
<!ENTITY synopsis-common SYSTEM "synopsis-common.sgm">
<!ENTITY % commonents SYSTEM "smancommon.ent">
%commonents;
<!ENTITY % booktitles SYSTEM "booktitles.ent">
%booktitles;
<!ENTITY Dash "&ndash;">
]>
<?Pub UDT _bookmark _target>
<?Pub EntList brvbar bull cross dash diam diams frac12 frac13 frac14 hellip
 laquo lArr loz mdash nabla ndash para pound rArr raquo sect yen bsol>
<?Pub Inc>
<refentry id="delete-jvm-options-1">
<refmeta><refentrytitle>delete-jvm-options</refentrytitle><manvolnum>1</manvolnum>&metainfo;
</refmeta>
<refnamediv><indexterm><primary sortas="delete-jvm-options">delete-jvm-options &mdash;
removes JVM options from the Java configuration or profiler elements of the <filename>
domain.xml</filename> file</primary></indexterm><indexterm><primary sortas="removes JVM options from the Java configuration or profiler elements of the <filename>
domain.xml</filename> file">removes JVM options from the Java configuration
or profiler elements of the <filename>domain.xml</filename> file &mdash; delete-jvm-options
</primary></indexterm><refname>delete-jvm-options</refname><refpurpose>removes
JVM options from the Java configuration or profiler elements of the <filename>
domain.xml</filename> file</refpurpose></refnamediv>
<refsynopsisdiv><title>&synp-tt;</title>
<cmdsynopsis><command>delete-jvm-options</command>&synopsis-common;
<arg choice="opt">&Dash;&Dash;target <replaceable>target</replaceable></arg>
<arg choice="opt">&Dash;&Dash;profiler<replaceable>=false</replaceable></arg>
<arg choice="plain">(<replaceable>jvm_option_name</replaceable>[=<replaceable>
jvm_option_value</replaceable>])</arg><arg choice="plain">[:jvm_option_name[=<replaceable>
jvm_option_name</replaceable>]]*</arg><?Pub Caret>
</cmdsynopsis></refsynopsisdiv>
<refsect1><title>&desc-tt;</title>
<para>The <command>delete-jvm-options</command> command removes JVM options
from the Java configuration or profiler elements of the <filename>domain.xml
</filename> file. NOTE: In the syntax, there can be more than one jvm_option,
separated by a colon.</para>
</refsect1>
<refsect1><title>&opts-tt;</title>
<variablelist termlength="medium">&options-common;
<varlistentry><term><option role="nodash">&Dash;&Dash;target</option></term>
<listitem><para>This option helps specify the target from which you want to
remove the JVM options. Valid target is server, cluster, or instance. The
default is server.</para>
<para>&se-ee-only;</para>
</listitem></varlistentry>
<varlistentry><term><option role="nodash">&Dash;&Dash;profiler</option></term>
<listitem><para>Indicates whether the JVM options are for the profiler. The
profiler must exist for this option to be true.</para>
</listitem></varlistentry>
</variablelist></refsect1>
<refsect1><title>&oper-tt;</title>
<variablelist termlength="medium">
<varlistentry><term><replaceable>jvm_option_name=jvm_option_value</replaceable></term>
<listitem><para>the left side of the equal sign (=) is the JVM option name.
The right side of the equal sign (=) is the JVM option value. A colon (:)
is a delimiter for multiple options.</para>
</listitem></varlistentry>
</variablelist></refsect1>
<refsect1><title>&exam-tt;</title>
<example>
<title>Using the delete-jvm-options command</title>
<para>To remove more than one JVM option, use a colon (:) to separate the
options. If the JVM option itself contains a colon (:), use the backslash
(\\) to offset the colon (:) delimiter.</para>
<screen>asadmin> <userinput>delete-jvm-options -e 
--interactive=true --secure=true --passwordfile passwords.txt 
--terse=false --user admin --target server --host localhost
--echo=true --port 4849 "\\-Dtmp=sun"</userinput>
Command delete-jvm-options executed successfully</screen>
<para>Where more than one JVM options are deleted.</para>
<screen>asadmin> <userinput>delete-jvm-options -e \\-Doption1=value1
--interactive=true --secure=true --passwordfile passwords.txt 
--terse=false --user admin --target server --host localhost
--echo=true --port 4849 "\\-Doption1=value1:-Doption2=value2"</userinput>
Command delete-jvm-options executed successfully</screen>
</example>
</refsect1>
<refsect1><title>&exit-tt;</title>
<variablelist termlength="medium">
<varlistentry><term>0</term><listitem><para>command executed successfully
</para>
</listitem></varlistentry>
<varlistentry><term>1</term><listitem><para>error in executing the command
</para>
</listitem></varlistentry>
</variablelist></refsect1>
<refsect1><title>&also-tt;</title>
<para><link linkend="create-jvm-option-1"><citerefentry><refentrytitle>create-jvm-option
</refentrytitle><manvolnum>1</manvolnum></citerefentry></link></para>
</refsect1>
</refentry>
<?Pub *0000004898>
